diff --git a/src/dblib/unittests/t0018.c b/src/dblib/unittests/t0018.c
index 5dca4f9..8b5bd82 100644
--- a/src/dblib/unittests/t0018.c
+++ b/src/dblib/unittests/t0018.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0018.c,v 1.18 2007/12/04 02:06:38 jklowden Exp $";
+static char software_version[] = "$Id: t0018.c,v 1.19 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -26,7 +26,7 @@ main(int argc, char **argv)
 	set_malloc_options();
 
 	read_login_info(argc, argv);
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 	add_bread_crumb();
 
 	/* Fortify_EnterScope(); */
diff --git a/src/dblib/unittests/t0020.c b/src/dblib/unittests/t0020.c
index 90cc765..aa8b4b9 100644
--- a/src/dblib/unittests/t0020.c
+++ b/src/dblib/unittests/t0020.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0020.c,v 1.15 2007/01/15 19:43:09 jklowden Exp $";
+static char software_version[] = "$Id: t0020.c,v 1.16 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -38,7 +38,7 @@ main(int argc, char **argv)
 
 	read_login_info(argc, argv);
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 	add_bread_crumb();
 
 	/* Fortify_EnterScope(); */
diff --git a/src/dblib/unittests/t0021.c b/src/dblib/unittests/t0021.c
index 06f3701..2d0c8d6 100644
--- a/src/dblib/unittests/t0021.c
+++ b/src/dblib/unittests/t0021.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0021.c,v 1.12 2006/07/06 12:48:16 freddy77 Exp $";
+static char software_version[] = "$Id: t0021.c,v 1.13 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -26,7 +26,7 @@ main(int argc, char **argv)
 
 	set_malloc_options();
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 
 	/* Fortify_EnterScope(); */
 	dbinit();
diff --git a/src/dblib/unittests/t0022.c b/src/dblib/unittests/t0022.c
index 9f4b378..09eaf80 100644
--- a/src/dblib/unittests/t0022.c
+++ b/src/dblib/unittests/t0022.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0022.c,v 1.24 2007/11/27 12:38:11 freddy77 Exp $";
+static char software_version[] = "$Id: t0022.c,v 1.25 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -27,7 +27,7 @@ main(int argc, char **argv)
 
 	read_login_info(argc, argv);
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 	add_bread_crumb();
 
 	dbinit();
diff --git a/src/dblib/unittests/t0023.c b/src/dblib/unittests/t0023.c
index 8e39262..9d57529 100644
--- a/src/dblib/unittests/t0023.c
+++ b/src/dblib/unittests/t0023.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0023.c,v 1.12 2007/12/04 02:06:38 jklowden Exp $";
+static char software_version[] = "$Id: t0023.c,v 1.13 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -31,7 +31,7 @@ main(int argc, char *argv[])
 	set_malloc_options();
 	read_login_info(argc, argv);
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 	add_bread_crumb();
 
 	/* Fortify_EnterScope(); */
diff --git a/src/dblib/unittests/text_buffer.c b/src/dblib/unittests/text_buffer.c
index 7a7b607..2af70a9 100644
--- a/src/dblib/unittests/text_buffer.c
+++ b/src/dblib/unittests/text_buffer.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: text_buffer.c,v 1.3 2007/12/04 02:06:38 jklowden Exp $";
+static char software_version[] = "$Id: text_buffer.c,v 1.4 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -22,7 +22,7 @@ main(int argc, char **argv)
 
 	read_login_info(argc, argv);
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 	add_bread_crumb();
 
 	/* Fortify_EnterScope(); */
diff --git a/src/dblib/unittests/thread.c b/src/dblib/unittests/thread.c
index d09afe0..5e0d4b5 100644
--- a/src/dblib/unittests/thread.c
+++ b/src/dblib/unittests/thread.c
@@ -8,7 +8,7 @@
 #include <unistd.h>
 #include <pthread.h>
 
-static char software_version[] = "$Id: thread.c,v 1.12 2007/12/20 21:57:35 freddy77 Exp $";
+static char software_version[] = "$Id: thread.c,v 1.13 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
@@ -149,7 +149,7 @@ main(int argc, char **argv)
 
 	read_login_info(argc, argv);
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 
 	dbinit();
 
diff --git a/src/dblib/unittests/timeout.c b/src/dblib/unittests/timeout.c
index 7de6013..ea897ee 100644
--- a/src/dblib/unittests/timeout.c
+++ b/src/dblib/unittests/timeout.c
@@ -7,7 +7,7 @@
 #include "common.h"
 #include <time.h>
 
-static char software_version[] = "$Id: timeout.c,v 1.4 2008/01/20 14:23:59 freddy77 Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.5 2008/11/25 22:58:29 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int ntimeouts = 0, ncancels = 0;
@@ -18,6 +18,12 @@ int timeout_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr,
 int chkintr(DBPROCESS * dbproc);
 int hndlintr(DBPROCESS * dbproc);
 
+#if !defined(SYBETIME)
+#define SYBETIME SQLETIME
+#define INT_TIMEOUT INT_CANCEL
+dbsetinterrupt(DBPROCESS *dbproc, void* hand, void* p) {}
+#endif
+
 int
 timeout_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr, char *dberrstr, char *oserrstr)
 {
@@ -101,7 +107,7 @@ main(int argc, char **argv)
 	
 	read_login_info(argc, argv);
 
-	fprintf(stdout, "Start\n");
+	fprintf(stdout, "Starting %s\n", argv[0]);
 	add_bread_crumb();
 
 	dbinit();
diff --git a/win32/tds_sysdep_public.h b/win32/tds_sysdep_public.h
index d86e324..cc65242 100644
--- a/win32/tds_sysdep_public.h
+++ b/win32/tds_sysdep_public.h
@@ -1,58 +1,59 @@
-/* FreeTDS - Library of routines accessing Sybase and Microsoft databases
- * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004  Brian Bruns
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of the GNU Library General Public
- * License as published by the Free Software Foundation; either
- * version 2 of the License, or (at your option) any later version.
- *
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * Library General Public License for more details.
- *
- * You should have received a copy of the GNU Library General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
- * Boston, MA 02111-1307, USA.
- */
-
-#ifndef _tds_sysdep_public_h_
-#define _tds_sysdep_public_h_
-
-static char rcsid_tds_sysdep_public_h[] = "$Id: tds_sysdep_public.h,v 1.6 2008/01/20 14:23:59 freddy77 Exp $";
-static void *no_unused_tds_sysdep_public_h_warn[] = { rcsid_tds_sysdep_public_h, no_unused_tds_sysdep_public_h_warn };
-
-#ifdef __cplusplus
-extern "C"
-{
-#endif
-
-#include <windows.h>
-#define tds_sysdep_int16_type short	/* 16-bit int */
-#define tds_sysdep_int32_type int	/* 32-bit int */
-#define tds_sysdep_int64_type __int64	/* 64-bit int */
-#define tds_sysdep_real32_type float	/* 32-bit real */
-#define tds_sysdep_real64_type double	/* 64-bit real */
-#if !defined(WIN64) && !defined(_WIN64)
-#define tds_sysdep_intptr_type int	/* 32-bit int */
-#else
-#define tds_sysdep_intptr_type __int64	/* 64-bit int */
-#endif
-typedef SOCKET TDS_SYS_SOCKET;
-#ifndef TDS_IS_SOCKET_INVALID
-#define TDS_IS_SOCKET_INVALID(s) ((s) == INVALID_SOCKET)
-#endif
-
-#if !defined(MSDBLIB) && !defined(SYBDBLIB)
-#define SYBDBLIB 1
-#endif
-#if defined(MSDBLIB) && defined(SYBDBLIB)
-#error MSDBLIB and SYBDBLIB cannot both be defined
-#endif
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif				/* _tds_sysdep_public_h_ */
+/* FreeTDS - Library of routines accessing Sybase and Microsoft databases
+ * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004  Brian Bruns
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Library General Public License for more details.
+ *
+ * You should have received a copy of the GNU Library General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+
+#ifndef _tds_sysdep_public_h_
+#define _tds_sysdep_public_h_
+
+static char rcsid_tds_sysdep_public_h[] = "$Id: tds_sysdep_public.h,v 1.7 2008/11/25 22:58:29 jklowden Exp $";
+static void *no_unused_tds_sysdep_public_h_warn[] = { rcsid_tds_sysdep_public_h, no_unused_tds_sysdep_public_h_warn };
+
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+
+#include <windows.h>
+#include <winsock2.h>
+#define tds_sysdep_int16_type short	/* 16-bit int */
+#define tds_sysdep_int32_type int	/* 32-bit int */
+#define tds_sysdep_int64_type __int64	/* 64-bit int */
+#define tds_sysdep_real32_type float	/* 32-bit real */
+#define tds_sysdep_real64_type double	/* 64-bit real */
+#if !defined(WIN64) && !defined(_WIN64)
+#define tds_sysdep_intptr_type int	/* 32-bit int */
+#else
+#define tds_sysdep_intptr_type __int64	/* 64-bit int */
+#endif
+typedef SOCKET TDS_SYS_SOCKET;
+#ifndef TDS_IS_SOCKET_INVALID
+#define TDS_IS_SOCKET_INVALID(s) ((s) == INVALID_SOCKET)
+#endif
+
+#if !defined(MSDBLIB) && !defined(SYBDBLIB)
+#define SYBDBLIB 1
+#endif
+#if defined(MSDBLIB) && defined(SYBDBLIB)
+#error MSDBLIB and SYBDBLIB cannot both be defined
+#endif
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif				/* _tds_sysdep_public_h_ */

